# (c) 2023-present Eroax
# (c) 2023-present Yagich
# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
extends ConfirmationDialog
class_name TwitchSetupDialog

func _ready():
	
	%Authenticate.pressed.connect(authenticate_twitch)
	confirmed.connect(connect_to_chat)
	

func authenticate_twitch():
	
	Connections.twitch.authenticate_with_twitch(%Client_ID.text)
	

func connect_to_chat():
	
	Connections.twitch.setup_chat_connection(%Default_Chat.text)
	
