# StreamGraph is a node graph-based virtual stream deck and livestream automation tool.
## ⚠️ StreamGraph is at an EARLY ALPHA stage! Some things will break! ⚠️
StreamGraph lets you automate your livestream with a powerful and easy to understand node graph workflow.

![StreamGraph screenshot](img/example1.png)

It can connect to Twitch and OBS, allowing you to take stream interactivity to the next level.

![StreamGraph screenshot](img/example2.png)

## Current state and capabilities
**StreamGraph is at a very early stage of development**. We cannot guarantee stability at this point and things may change dramatically between releases. As development progresses, the API and nodes will stabilize.

The app can currently connect to Twitch and read and send chats in a single channel.
It can also connect to a single OBS instance (utilizing OBS-WebSocket, which is bundled with modern versions of OBS).

For more information about nodes that currently exist, [check out the wiki.](https://codeberg.org/Eroax/StreamGraph/wiki)
