# (c) 2023-present Eroax
# (c) 2023-present Yagich
# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
extends DeckNode


func _init() -> void:
	name = "Bool Constant"
	node_type = name.to_snake_case()
	category = "general"
	description = "A checkbox."

	add_output_port(
		DeckType.Types.BOOL,
		"Value",
		"checkbox"
	)


func _value_request(_from_port: int) -> Variant:
	if ports[0].value_callback.get_object():
		return ports[0].value_callback.call()
	else:
		return ports[0].value
